Package org.apache.storm.st.topology.window

## Class TumblingWindowCorrectness

- java.lang.Object
- - org.apache.storm.st.topology.window.TumblingWindowCorrectness

- All Implemented Interfaces:
    `TestableTopology`

      public class TumblingWindowCorrectness
      extends Object
      implements TestableTopology

  Computes sliding window sum.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.storm.st.topology.TestableTopology

      `DUMMY_FIELD, MAX_SPOUT_EMITS, TIMEDATA_SLEEP_BETWEEN_EMITS_MS`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TumblingWindowCorrectness​(int tumbleSize)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getBoltExecutors()` |
    `String` | `getBoltName()` |
    `int` | `getSpoutExecutors()` |
    `String` | `getSpoutName()` |
    `StormTopology` | `newTopology()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TumblingWindowCorrectness

          public TumblingWindowCorrectness​(int tumbleSize)

  - ### Method Detail

    - #### getBoltName

          public String getBoltName()

      Specified by:
        `getBoltName` in interface `TestableTopology`

    - #### getSpoutName

          public String getSpoutName()

      Specified by:
        `getSpoutName` in interface `TestableTopology`

    - #### getBoltExecutors

          public int getBoltExecutors()

      Specified by:
        `getBoltExecutors` in interface `TestableTopology`

    - #### getSpoutExecutors

          public int getSpoutExecutors()

      Specified by:
        `getSpoutExecutors` in interface `TestableTopology`

    - #### newTopology

          public StormTopology newTopology()

      Specified by:
        `newTopology` in interface `TestableTopology`